Package com.complexible.stardog.virtual.api

# Interface VirtualGraph

public interface VirtualGraph
Information about a virtual graph.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Pattern`
  `RESOURCE_NAME_MATCHER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDatabase()`
  Returns the name the database that is associated with this virtual graph, or `"*"` if this virtual graph works with all databases.
  `IRI`
  `getDataSourceName()`
  Returns the name (as an IRI) of the data source that provides the connection to the backing database for this virtual graph.
  `static String`
  `getLocalName(IRI entityName)`
  `Set<Statement>`
  `getMappings()`
  Returns the mappings defined for this graph expressed in R2RML.
  `String`
  `getName()`
  Returns the (local) name of the virtual graph.
  `Properties`
  `getOptions()`
  Returns the configuration options associated with this virtual graph.
  `static String`
  `graphClause(String theGraph)`
  Given the local name of a virtual graph, return a `GRAPH` clause for that virtual graph.
  `boolean`
  `isAvailable()`
  Is the virtual graph available?
  `static String`
  `service(String theGraph)`
  Deprecated.
  Use `graphClause(String theGraph)`
  `static String`
  `serviceClause(String theGraph)`
  Given the local name of a virtual graph, return a `SERVICE` clause for that virtual graph.
  `static IRI`
  `term(String theGraph)`

- ## Field Details

  - ### RESOURCE_NAME_MATCHER

    static final Pattern RESOURCE_NAME_MATCHER

- ## Method Details

  - ### term

    static IRI term(String theGraph)

  - ### getLocalName

    static String getLocalName(IRI entityName)

  - ### service

    @Deprecated static String service(String theGraph)
    Deprecated.
    Use `graphClause(String theGraph)`
    Given the local name of a virtual graph, return a `GRAPH` clause for that virtual graph.
    Parameters:
      `theGraph` - The local name of a virtual graph, without the `virtual://` prefix
    Returns:
      A graph clause for use in a SPARQL query

  - ### graphClause

    static String graphClause(String theGraph)
    Given the local name of a virtual graph, return a `GRAPH` clause for that virtual graph.
    Parameters:
      `theGraph` - The local name of a virtual graph, without the `virtual://` prefix
    Returns:
      A graph clause for use in a SPARQL query

  - ### serviceClause

    static String serviceClause(String theGraph)
    Given the local name of a virtual graph, return a `SERVICE` clause for that virtual graph.
    Parameters:
      `theGraph` - The local name of a virtual graph, without the `virtual://` prefix
    Returns:
      A service clause for use in a SPARQL query

  - ### getName

    String getName()
    Returns the (local) name of the virtual graph.

  - ### getDataSourceName

    IRI getDataSourceName()
    Returns the name (as an IRI) of the data source that provides the connection to the backing database for this virtual graph.

  - ### getDatabase

    String getDatabase()
    Returns the name the database that is associated with this virtual graph, or `"*"` if this virtual graph works with all databases.

  - ### getMappings

    Set<Statement> getMappings()
    Returns the mappings defined for this graph expressed in R2RML. The iterable will be empty if there are no mappings.

  - ### getOptions

    Properties getOptions()
    Returns the configuration options associated with this virtual graph. The options are defined in `VirtualGraphOptions`.

  - ### isAvailable

    boolean isAvailable()
    Is the virtual graph available?